AppdefResourceValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefResourceValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefResourceValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  AppdefGroupValue, ApplicationValue, PlatformValue, ServerLightValue, ServerValue, ServiceClusterValue, ServiceValue

    public abstract class AppdefResourceValue

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

An abstract class which all appdef value objects inherit from inheritance is achieved by using: `@ejb:value-object name="SomeEntity" match="*" extends="org.hyperic.hq.appdef.shared.AppdefResourceValue"` The accessors provided in this class represent what the UI model labels "General Properties". Any other attribute is assumed to be specific to the resource type.

See Also:
  Serialized Form

Constructor Summary
`AppdefResourceValue()`

Method Summary
`int` | `compareTo(java.lang.Object arg0)`
`AppdefResourceTypeValue` | `getAppdefResourceTypeValue()` Get an upcasted reference to our resource type value.
`abstract java.lang.Long` | `getCTime()`
`abstract java.lang.String` | `getDescription()`
`abstract AppdefEntityID` | `getEntityId()` get an entity ID for the object
`java.lang.String` | `getHostName()`
`abstract java.lang.Integer` | `getId()`
`abstract java.lang.String` | `getLocation()`
`abstract java.lang.String` | `getModifiedBy()`
`abstract java.lang.Long` | `getMTime()`
`abstract java.lang.String` | `getName()`
`abstract java.lang.String` | `getOwner()`
`static java.util.Map` | `getPlatformTypeCountMap(java.util.Collection platformColl)` Get a map of platform types from this collection of PlatformLightValue objects.
`static java.util.Map` | `getResourceTypeCountMap(java.util.Collection objColl)`
`static java.util.Map` | `getServerTypeCountMap(java.util.Collection serverColl)` Get a map of server types from this collection of serverlightvalues
`static java.util.Map` | `getServiceTypeCountMap(java.util.Collection serviceColl)` Get a map of Service types from this collection of ServiceLightValue
`abstract void` | `setDescription(java.lang.String desc)`
`void` | `setHostName(java.lang.String hostName)`
`abstract void` | `setId(java.lang.Integer id)`
`abstract void` | `setLocation(java.lang.String loc)`
`abstract void` | `setModifiedBy(java.lang.String modifiedBy)`
`abstract void` | `setName(java.lang.String name)`
`abstract void` | `setOwner(java.lang.String owner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefResourceValue

    public AppdefResourceValue()

Method Detail

### getId

    public abstract java.lang.Integer getId()

### setId

    public abstract void setId(java.lang.Integer id)

### getName

    public abstract java.lang.String getName()

### setName

    public abstract void setName(java.lang.String name)

### getOwner

    public abstract java.lang.String getOwner()

### setOwner

    public abstract void setOwner(java.lang.String owner)

### getModifiedBy

    public abstract java.lang.String getModifiedBy()

### setModifiedBy

    public abstract void setModifiedBy(java.lang.String modifiedBy)

### getDescription

    public abstract java.lang.String getDescription()

### setDescription

    public abstract void setDescription(java.lang.String desc)

### getCTime

    public abstract java.lang.Long getCTime()

### getMTime

    public abstract java.lang.Long getMTime()

### getLocation

    public abstract java.lang.String getLocation()

### setLocation

    public abstract void setLocation(java.lang.String loc)

### getHostName

    public java.lang.String getHostName()

### setHostName

    public void setHostName(java.lang.String hostName)

### getEntityId

    public abstract AppdefEntityID getEntityId()

  get an entity ID for the object

### getResourceTypeCountMap

    public static java.util.Map getResourceTypeCountMap(java.util.Collection objColl)

### getAppdefResourceTypeValue

    public AppdefResourceTypeValue getAppdefResourceTypeValue()

  Get an upcasted reference to our resource type value.

  Returns:
    the "type value" value object upcasted to its abstract base class for use in agnostic context.

### getPlatformTypeCountMap

    public static java.util.Map getPlatformTypeCountMap(java.util.Collection platformColl)

  Get a map of platform types from this collection of PlatformLightValue objects.

  Parameters:
    `platformColl` - collection of `PlatformLightValue` objects
  Returns:
    map with key: platformTypeValue, value: a `List` of PlatformLightValues matching that type

### getServerTypeCountMap

    public static java.util.Map getServerTypeCountMap(java.util.Collection serverColl)

  Get a map of server types from this collection of serverlightvalues

  Parameters:
    `a` - collection of `ServerLightValue` objects
  Returns:
    map with key: serverTypeValue, value: a `List` of ServerLightValues matching that type

### getServiceTypeCountMap

    public static java.util.Map getServiceTypeCountMap(java.util.Collection serviceColl)

  Get a map of Service types from this collection of ServiceLightValue

  Parameters:
    `a` - collection of `ServiceLightValue` objects
  Returns:
    map with key: serviceTypeValue, value: a `List` of ServiceLightValues matching that type

### compareTo

    public int compareTo(java.lang.Object arg0)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.